# Copyright (C) 2012 Canonical Ltd
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Test the Dee.SharedModel that we use for communicating with our frontend.

This does not test the use of the SharedModel through dbus, since that must be
done in test_dbus.py so as to be isolated from the user's environment.
"""

__all__ = [
    'TestModel',
    ]


import unittest

from gi.repository import Dee
from gwibber.utils.model import Model


class TestModel(unittest.TestCase):
    """Test our Dee.SharedModel instance."""

    def test_basic_properties(self):
        self.assertIsInstance(Model, Dee.SharedModel)
        self.assertEqual(Model.get_n_columns(), 37)
        self.assertEqual(Model.get_n_rows(), 0)
        self.assertEqual(Model.get_schema(),
                         ['aas', 's', 's', 's', 'b', 's', 's', 's',
                          's', 's', 's', 's', 's', 's', 'd', 'b', 's', 's',
                          's', 's', 's', 's', 's', 's', 's', 's', 's', 's',
                          's', 's', 's', 's', 's', 'as', 's', 's', 's'])
